EmbeddedDatabaseShutdownHook (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.datasource
[Groovy] Class EmbeddedDatabaseShutdownHook

    java.lang.Object
      org.codehaus.groovy.grails.plugins.datasource.EmbeddedDatabaseShutdownHook

All Implemented Interfaces:
  org.springframework.context.SmartLifecycle, org.springframework.context.ApplicationContextAware

    @groovy.transform.CompileStatic
    class EmbeddedDatabaseShutdownHook
    extends java.lang.Object

Method Summary
`protected java.lang.Object` | `addShutdownOperation(java.sql.Connection connection)`
`int` | `getPhase()`
`boolean` | `isAutoStartup()`
`protected boolean` | `isEmbeddedH2orHsqldb(javax.sql.DataSource dataSource)`
`boolean` | `isRunning()`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
`protected java.lang.Object` | `shutdownEmbeddedDatabase(javax.sql.DataSource dataSource)`
`void` | `start()`
`void` | `stop()`
`void` | `stop(java.lang.Runnable callback)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addShutdownOperation

    protected java.lang.Object addShutdownOperation(java.sql.Connection connection)

### getPhase

    @java.lang.Override
    int getPhase()

### isAutoStartup

    @java.lang.Override
    boolean isAutoStartup()

### isEmbeddedH2orHsqldb

    protected boolean isEmbeddedH2orHsqldb(javax.sql.DataSource dataSource)

### isRunning

    @java.lang.Override
    boolean isRunning()

### setApplicationContext

    @java.lang.Override
    void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

### shutdownEmbeddedDatabase

    protected java.lang.Object shutdownEmbeddedDatabase(javax.sql.DataSource dataSource)

### start

    @java.lang.Override
    void start()

### stop

    @java.lang.Override
    void stop()

### stop

    @java.lang.Override
    void stop(java.lang.Runnable callback)

Groovy Documentation